% !TEX encoding = UTF-8 Unicode
% !TEX TS-program = lualatex
% !BIB TS-program = biber

%%%%%%% The above first line is used to auto-configure those LaTeX
%%%%%%% friendly editors, such as TeXShop, TeXworks, TeXstudio 
%%%%%%% so as to use the UTF-8 encoding for editing the source
%%%%%%% files and to save them.

%%%%%%% For the same editors the second line specifies which 
%%%%%%% typesetting engine is to be used when hitting the editor's
%%%%%%% button that launches the typesetting job.
%%%%%%% You can chose between pdflatex, lualatex or xelatex; in general
%%%%%%% it is better to avoid using xelatex and to prefer lualatex.

%%%%%%% If and only if you want to produce an archivable document
%%%%%%% according to the ISO regulation 19005:2005-1b add the
%%%%%%% following code before the statement \documentclass, and
%%%%%%% adapt its contents to your particular thesis.

\begin{filecontents*}{\jobname.xmpdata}
\Author{Alex Minetto}
\Title{GNSS-only Collaborative Positioning for Networked Receivers}
\Subject{Doctoral dissertations in the SCUDO doctoral school}
\Keywords{PDF\sep
          PDF/A\sep
          ISO 19005\sep
          LaTeX\sep
          PhD Thesis\sep
          Engineering\sep
          SCUDO}
\Publisher{Politecnico di Torino}
\end{filecontents*}


\documentclass[%
   11pt,
   twoside,
   tipotesi=scudo,
   numerazioneromana,
   ]{toptesi}
 
%%%% Use the following package if and only if you want to produce
%%%% an archivable document according to standard PDF/A-1b
%%%% No need to load package imakeidx, because it has already been
%%%% loaded by the specific module toptesi-scudo.
\usepackage[a-1b]{pdfx}
%%%%%% Read the English documentation of TOPtesi in order to check
%%%%%% the special attention needed to produce ISO compliant
%%%%%% archivable files

%%%%
%\usepackage[natbib=true,style=numeric,sorting=none]{biblatex}
\usepackage[backend=biber,sorting=nty]{biblatex}
\bibliography{MINETTO_references.bib}

\usepackage[nohyperlinks]{acronym}
\usepackage{bm}
\usepackage{booktabs}
\usepackage{tabularx}
\usepackage{float}
\usepackage{physics}
\usepackage{soul}
\usepackage{xcolor}
\usepackage{mathtools}
\usepackage{amsmath}
\usepackage{multirow}
\usepackage{makecell}
\usepackage{siunitx}
\usepackage{algorithm}
\usepackage{algorithmic}
\usepackage{mathrsfs}  

% THESIS REVIEWS
\usepackage{changes}
\definecolor{caceres}{RGB}{255,128,0}
\definechangesauthor[name=Caceres, color=caceres]{1}


\usepackage{listings}


\colorlet{punct}{red!60!black}
\definecolor{background}{HTML}{EEEEEE}
\definecolor{delim}{RGB}{20,105,176}
\colorlet{numb}{magenta!60!black}

\definecolor{eclipseStrings}{RGB}{42,0.0,255}
\definecolor{eclipseKeywords}{RGB}{127,0,85}
\colorlet{numb}{magenta!60!black}

\lstdefinelanguage{json}{
    basicstyle=\normalfont\ttfamily,
    commentstyle=\color{eclipseStrings}, % style of comment
    stringstyle=\color{eclipseKeywords}, % style of strings
    numbers=left,
    numberstyle=\scriptsize,
    stepnumber=1,
    numbersep=8pt,
    showstringspaces=false,
    breaklines=true,
    frame=lines,
    backgroundcolor=\color{white}, %only if you like
    string=[s]{"}{"},
    comment=[l]{:\ "},
    morecomment=[l]{:"},
    literate=
        *{0}{{{\color{numb}0}}}{1}
         {1}{{{\color{numb}1}}}{1}
         {2}{{{\color{numb}2}}}{1}
         {3}{{{\color{numb}3}}}{1}
         {4}{{{\color{numb}4}}}{1}
         {5}{{{\color{numb}5}}}{1}
         {6}{{{\color{numb}6}}}{1}
         {7}{{{\color{numb}7}}}{1}
         {8}{{{\color{numb}8}}}{1}
         {9}{{{\color{numb}9}}}{1}
}


\usepackage[margin=1.1in,a4paper]{geometry}
\usepackage{booktabs}
\usepackage{caption}
\usepackage{float}
\usepackage{titlesec}
\usepackage{capt-of}
\usepackage{color, colortbl}

% Colors definition
\definecolor{Gray}{gray}{0.9}
\definecolor{aliceblue}{rgb}{0.94, 0.97, 1.0}
\definecolor{alexgray}{rgb}{0.95, 0.95, 0.95}

%dashed line
\usepackage{array}
\usepackage{arydshln}
\setlength\dashlinedash{0.2pt}
\setlength\dashlinegap{1.5pt}
\setlength\arrayrulewidth{0.3pt}

%Widows & Orphans & Penalties

\widowpenalty500
\clubpenalty500
\clubpenalty=9996
\exhyphenpenalty=50 %for line-breaking at an explicit hyphen
\brokenpenalty=4991
\predisplaypenalty=10000
\postdisplaypenalty=1549
\displaywidowpenalty=1602
\floatingpenalty = 20000



\ifPDFTeX
    \usepackage[utf8]{inputenc}% 
    \usepackage[T1]{fontenc}
\fi


\errorcontextlines=9% more information on the console in case of errors

%%%% Specify fonts here; chose one among these fonts by leaving just
%%%% one line without initial comment character.
%%%% With LuaLaTeX or XeLaTeX don't change fonts
\ifPDFTeX % using pdflatex
    \usepackage{lmodern} % Default
    %\usepackage{newtxtext,newtxmath}% Times eXtended for text and math
    %\usepackage{fourier}% Utopia, Helvetica and "monospace = ?"

\else % using lualatex (or xelatex}
    \usepackage{fontspec}
    \defaultfontfeatures{Ligatures=TeX}
    \setmainfont{Libertinus Serif}
    \setsansfont{Libertinus Sans}
    \setmonofont{Libertinus Mono}[Scale=MatchLowercase]
    \usepackage{unicode-math}% add special math stile option here
                             % for example [style=ISO]
% chose one math font by commenting the line of the undesired font
    \setmathfont{XITS Math}
\fi

\makeindex[intoc]% collect material to index


\usepackage{kantlipsum} % to produce dummy text

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This is to be loaded as the end of the preamble if one wants
% to use hyperlinks and/or urs to be typed within the thesis,
% except that after loading hyperref very few commands may be
% issued. One is the \includeonly command with its list of files;
% other packages may be loaded after hyperref, only if their
% documentation says so; some of these packages, but they are
% not the only ones, involve Right to left languages or other
% oriental languages.
%
% Distinguish the hyperref call from the hyperref setup so as
% to avoid option clashes with other packages that may invoke 
% hyperref with different options.

\unless\ifcsname ver@hyperref.sty\endcsname\usepackage{hyperref}\fi
\hypersetup{%
    pdfpagemode={UseOutlines},
    bookmarksopen,
    pdfstartview={FitH},
    colorlinks,
    %------- Editing Option
    %linkcolor={red},
    %citecolor={blue},
    %urlcolor={black}
    %------- Final Version
    linkcolor={black},
    citecolor={black},
    urlcolor={black}
  }
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%% The \includeonly argument should preferably written with
%%%% one name per line, so that by commenting or uncommenting
%%%% some lines a selective compilation may be executed.
\includeonly{%
Chapter0/chapter0,%
Chapter1/chapter1,%
Chapter2/chapter2,%
Chapter3/chapter3,%
Chapter4/chapter4,%
Chapter5/chapter5,%
%Chapter6/chapter6,%
Chapter7/chapter7,%
Chapter8/chapter8,%
Chapter9/chapter9,%
Chapter10/chapter10,%
Appendix1/appendix1,%
Appendix2/appendix2,%
Appendix4/appendix4,%
Appendix5/appendix5,%
}

\DeclareMathOperator*{\argmax}{argmax}  % oppure  \DeclareMathOperator*{\argmax}{arg\,max}
\DeclareMathOperator*{\argmin}{argmin}  % oppure  \DeclareMathOperator*{\argmax}{arg\,max}

\newcommand{\tAB}{\text{\tiny $AB$}}
\newcommand{\tA}{\text{\tiny $A$}}
\newcommand{\tB}{\text{\tiny $B$}}
\newcommand{\tC}{\text{\tiny $C$}}
\newcommand{\tk}{\text{\tiny $k$}}
\newcommand{\ti}[1]{\text{\tiny $#1$}}
\newcommand{\ve}[1]{\mathbf{#1}}


\ifPDFTeX \usepackage{indentfirst}\fi
\raggedbottom
\begin{document}


% The contents of this ThesisTitlePage environment may be written
% in a configuration file named exactly the same as the thesis main
% file, but with extension .cfg. If similar commands with different
% data are written within this environment, such data prevail on
% those read from the configuration file.
\begin{ThesisTitlePage}
% Use the optional command to set a different School logo
% Its is possible to used this command several times; each time
% a new different  Institution logo  may be added. In general
% just the ScuDo logo is sufficient; for dissertations made in
% cooperation with the University of Turin, its logo may be added
% with a second instance of the \PhGschoolLog statement. With
% dissertations supported by the INRiM, this institution logo may
% be added. Such logos (in PDF format) may be obtained from the
% ScuDo web server.
\PhDschoolLogo{Logo-ScuDo-blu} % just the ScuDo logo
%\PhDschoolLogo{Logo-ScuDo-blu,Logo-INRIM} %for dissertations made in cooperation with INRIM
%\PhDschoolLogo{Logo-ScuDo-blu,Logo-INFN} %for dissertations made in cooperation with INFN
%\PhDschoolLogo{Logo-ScuDo-blu,Logo-UniTo} %for dissertations made in cooperation with the University of Turin
% Doctorate course name; mandatory
\ProgramName{Electrical, Electronics and Communications Engineering}
% Cycle ordinal number; optional.
% You can write 29.th, or 29\ap{th}, or 29\textsuperscript{th}, or ...
\CycleNumber{32.th}
% PhD candidate name; mandatory
\author{Alex Minetto}
% Dissertation title; mandatory
\title{GNSS-only Collaborative Positioning Methods for Networked Receivers}
% Dissertation subtitle: optional.
% It might be useful only if the actual full title is too long.
%\subtitle{Exploiting correlated measurements to squeeze up to the last drop of information from GNSS}
% The supervisor(s) label; optional; default value "Supervisor:".
% You can change it to plural as in this example, where the colon has
% been eliminated.
%\NSupervisor{Supervisor}{Supervisors}
%
% The SupervisorNumber may contain a value such as 0, 1, or any
% number higher than 1. If 0 is specified, no label is typeset
% over the supervisor(s) list; if 1 is specified then the singular
% form is used: if any value higher than 1 is specified, the plural
% form is used.
\SupervisorNumber{2}
% List of supervisors with academic title, name(s), surname(s),
% and function; mandatory
\SupervisorList{%
    Prof.~Fabio Dovis}
%    Prof.~C.D. Co-supervisor}
% Name of the examining committee: optional. 
% Default value "Doctoral Examination Committee"
%\Nexaminationcommittee{Doctoral examination committee}
% List of the  examining committee members: mandatory if the above label
% is not empty.
\ExaminerList{%
Prof.~A.B., Referee, University of \dots\\
%Prof.~C.D., Referee, University of \dots\\
%Prof.~E.F., University of \dots\\
%Prof.~G.H., University of \dots\\
Prof.~I.J., University of \dots}
% Name of the institution where the examination takes place; optional.
% Default value: "Politecnico di Torino"
%\Nlocation{Politecnico di Torino}
% Examination date: mandatory, although the way to write it is free.
\ExaminationDate{October 30, 2019}
% Disclaimer with signature; optional. Default text as
% in the following lines. 
\Disclaimer{%
\noindent I hereby declare that, the contents and organisation of this dissertation constitute my own original work and does not compromise in any way the rights of third parties, including those relating to the security of personal data.	
}
%\Signature{%
%\begin{flushright}
%\parbox{0.5\textwidth}{\centering
%\dotfill\\
%Mario Rossi\\
%Turin, February 29, 2123
%}
%\end{flushright}}
\end{ThesisTitlePage}
%%%%%%%%%%%%%%%% Everything else necessary in the thesis title
%%%%%%%%%%%%%%%% page and in the copyright page is supplied by
%%%%%%%%%%%%%%%% the default values.
%%%%%%%%%%%%%%%% If you enter an explicit disclaimer, you can
%%%%%%%%%%%%%%%% typeset other material before the disclaimer
%%%%%%%%%%%%%%%% formula; use the necessary spacing on order
%%%%%%%%%%%%%%%% to separate the formula from other text. 
%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%% For example you might want to write the formula
%%%%%%%%%%%%%%%% for a particular licence, provided the licence 
%%%%%%%%%%%%%%%% allows Open access; not necessarily all uses
%%%%%%%%%%%%%%%% of the thesis should be allowed, but the minimum
%%%%%%%%%%%%%%%% is the reading access.

%%%%%%%%%%%%%%%% The next two lines are metadata for a normal PDF file.
%%%%%%%%%%%%%%%% For ISO archivable PDF/A-1b metadata, they must
%%%%%%%%%%%%%%%% be entered only in the form used in the file
%%%%%%%%%%%%%%%% named in the filecontents* environment as shown
%%%%%%%%%%%%%%%% at the beginning of this file.

%\subject{How to typeset a doctoral thesis suitable for defence in almost any country and university.}
%\keywords{{pdfLaTeX} {LuaLaTeX} {XeLaTeX} {PhD doctoral programs} {PhD dissertation} {Politecnico di Torino}} 

\summary%\sommario

The Global Navigation Satellite System (GNSS) has been mostly considered as an ubiquitous and reliable positioning and navigation technology characterized nowadays by considerable precision and accuracy but weakened by critical limitations due to the intrinsic nature of radio navigation systems. Indeed, {GNSS} positioning in harsh environment has been intended as one of the major challenges in the field of Positioning and Navigation Technologies (PNT) due to several impairments affecting the quality of the received signals, thus the positioning estimation performed by the receivers. The quality of {GNSS} absolute positioning can be enhanced through the integration of further information about the state of a given agent (i.e. position, velocity, heading) or exploiting additional data from the surrounding environment, which can be directly obtained through sensors  (i.e. {UWB}, Lidar, Sonar), or through the network connectivity. 
%
In parallel with the advances in satellite-based and network-based augmentation systems, sensor fusion and complementary positioning systems, in the last decades, Cooperative Positioning (CP) has been addressed as a further paradigm for improving localization of networked users relying on the exchange of independent information. The basic approach has leveraged the estimation of relative measurements and the sharing of these data through ad-hoc communication channels or permanent network infrastructures.
%
In light of this, this work considers the exploitation of redundant visible satellites among interconnected users (i.e. generic agents equipped with networked \ac{GNSS} receiver) as a powerful resource for the improvement of \ac{GNSS}-based solutions. Such a redundancy can be effectively exploited to determine relative distances between receivers through opportunistic usage of the network connectivity, thus leading to the \textit{collaborative estimation of the baseline length}.

The discussed approach has been indeed investigated to overcome the \ac{LoS} limitation in the sensing of the surrounding environment through direct measurements among \ac{GNSS} users. In the proposed framework the focus is on collaborative techniques, which uniquely exploit the exchange of data typically used for \ac{GNSS}-based positioning, without the need of additional sensors. 
The problem of a profitable usage and integration of redundant and correlated inter-agent information exchanged within a network of \ac{GNSS} receiver has been named \ac{GNSS}-based \ac{CP}. 

%A key aspect in the cooperative positioning of swarm of agents is the computation of inter-agent ranges, which can be used as auxiliary information to mutually improve localization performance. Most of the literature on the topic provides integration solution of existing radio/visual ranging technologies. Although such hardware-based solutions are effective for the purpose, a set of research contributions has shown that the exchange of \ac{GNSS} measurements and navigation data can be considered to estimate terrestrial collaborative range measurements between networked receivers. A set of techniques has been hence investigated to determine the distance between cooperating agents by exchanging \ac{GNSS}-only data and applying differential estimation algorithms to solve for the inter-vehicle distance. %The main methods for range estimation through \ac{GNSS} observables were summarized in \ref{ch:rangingAlgorithms} with the minimum number of satellite that must be observed by cooperating agents.

%All the techniques are based on the evaluation of the modulus of a displacement vector between pairs of cooperating agents. Due to the nature of the problem, the algorithms require three or more equation thus, three or more shared satellites. Since this condition cannot be easily satisfied in dense urban scenarios, a less demanding collaborative strategy was proposed to overcome the limited availability of shareable satellites. The \ac{IAR} relies on the cooperation between pairs of \ac{GNSS} receivers exploiting even one only shared satellite. As shown in Figure 21 the sharing of information is performed along with the motion of the two independent systems relying on predictive navigation stages tailored to compensate for time inconsistency of data introduced by the latency of the communication channel.

Within such a context, this thesis aims at investigating the paradigm of \ac{GNSS}-based \ac{CP} according to a bottom-up approach: from the theoretical bounds of a hybridized tight integration of collaborative measurements up to the development of a real-time \ac{PoC} for networked mobile devices. First a proper framework will be defined for the analysis and investigation of \ac{GNSS}-based ranging among networked receivers. Then the paradigm of \ac{GNSS}-based \ac{CP} is explored through numerical and controlled-environment simulations, and eventually, the \ac{PoC} is presented along with an on-field analysis of feasibility and a performance assessment of the technology.

%Multiple inter-agent measurements can be used to improve the estimation of the distance w.r.t. a collaborating agent before it is integrated in a further navigation algorithm. The goodness of inter-agent range measurements directly affects the quality of the positioning information in a potential hybrid localization algorithm (i.e. legacy satellite pseudorange and terrestrial range are used) such as the navigation filters presented in Chapter \ref{ch:navFilters}. The measurement can be tightly integrated through Least Mean Square-based algorithm for Position-Time-Velocity solution, which is suitable for static applications. Alternatively, the integration can be afforded by a set of popular techniques for range integration in positioning algorithm in dynamic scenarios (i.e. \ac{EKF}, \ac{UKF}, Particle Filter). A possible integration scheme that exploits an \ac{EKF}-based integration is presented in Figure 22. Such architecture is effective in particular for the mitigation of \ac{GNSS} positioning service unavailability, as it is rather frequent in urban scenarios due to the lack of a sufficient number of satellites. In order to cope with the constraint of the communication infrastructure, the Roundtrip-Time (RTT) of the communication link is considered by the predictive stage on the left, which estimates the position relying on the dynamics model and on all the available pseudorange measurements.

%- contesto dello smart mondo si ha la disponibilità di una connettività ubiqua e si vogliono ottenere dei location based services\\
%    - cresnte richiesta di accuratezza e precisione dei positioning sys richiedono l'integrazione di altri aògoritmi o sensori per migliorare le performances eg. IMU o cooperative solution.\\
%    - lato sensori: molta letteratura e applicazioni + stato dell'arte completo e saturo.\\
%    - lato cooperative: sono state esplorate solo alcune soluzioni che spesso richiedono hardware ad hoc.\\
%    - eg.molte soluzioni coperative sono state implementate nell'ambito della robotica e veicolare usando in reti ad hoc (direct short range communication V2V, V2I)\\
%    - nella robotica su fa affidamento su sensori eterosceptic (radas, UV sensor per distanza) con il posizionamento relativo vengono integrati nel cooperative.\\
%    - in pochi hanno lavorato per sfruttare la ridondanza delle misure per calcolare l'inter agent distance \\
%    
%il problema fondamentale risiede nella comprensione e nell'uso di misure fra loro correlate
%    
%    
%    - sono gnss cp idea -> questa tesi presenta lo sviluppo di un framework che permetta lo scambio di misure grezze gnss tra ricevitori ultra low cost interconnessi  + la combinazione di queste misure per trovare l'inter agent distance + l'integrazione di queste misure per il miglioramento della soluzione pvt gnss only\\
%    - la rilevanza di questo lavoro riguarda la possibilità di ottenere un servizio di posizionamento da integrare negli application programming interfaces per migliorare l'output di posizionamento utile per altri servizi.

\emptypage %  it works even without the classica option
\acknowledgements% or \ringraziamenti

%[COMPATTARE PER MANTENERE IN UNA PAGINA]

I would express my sincere gratitude to my advisor, prof. Fabio Dovis, for his continuous support along the last three years. I thank him for his passion towards the topic and for his endless scientific knowledge and tutoring. Thanks for believing in me and in my ideas and let me growing professionally and scientifically towards any goals of this Ph.D. Thanks to my mom, Nicoletta, because she has never stopped supporting me in all my choices even crossing the saddest period of our life. Thank you for your patience and your lovely, unconditioned kindness. Thanks also to my dad, Valter, for being so enthusiast about all my achievements and experiences. For both of them I can proudly say that the apple has not fallen far from the tree. Thanks to Calogero and Nicola for their precious know-how and for the time spent in shaping my mind as GNSS scientist. Thank you for your friendship, passion and time spent together. Thanks to all the new friends and colleagues, Andrea, Neil, Caner, Wenjian and Rayan for their tireless desire of innovating, researching, and above all to share some pieces of our lives in motivating relationships at the workplace. Sincere thanks to Marco and all the researchers of the Space and Navigation Division at LINKS foundation (ex ISMB) for their technical, scientific and human support in this research. Thanks to Gianluca, Mario, Gianluca, Matteo, Davide, Micaela, Beatrice and Gabriella for sharing their expertises about GNSS and for they hard work spent during the crazy journeys of SVN 49 in 2017 and of Galileo Satellites during the outage occurred in 2019. I will remember such moments as the funniest and most exciting investigations of the last years. Many thanks to the HANSEL consortium and to Rui Sarnadas, ESA officer and contact point for the project, to have strongly encouraged the development of our proof of concept within the HANSEL testbed an to have supported us in all the phases of this challenging task. A special thanks goes to Andrea to have worked with passion on the early stages of this research, and to Maria Chiara for her hard work on the development side of our cooperative positioning proof of concept, thank you for your effort and for turning this paradigm into an effective application. I would thank the whole CAPS.loc team, Neil, Giampaolo and Maria Chiara for their effort in the study of applied cooperative positioning. Thanks to Vincenzo and Umberto, friends and colleagues who invited me to contribute to the PitchD talk in April 2019, and thanks to evaluation committee of the Tiziana Vitrano Competition, "My reseearch in three minutes" for the chance to present my research to other Ph.D. students. Thanks to the staff of TEDx Talk Politecnico di Torino for the amazing opportunity they gave me to participate as a speaker in the TEDx Talk "Sound and Safe" in November 2019. 
Thanks to all the people who supported me and the most unforgettable journey of my life in Longyearbyen (Svalbard). Thanks to the INGV team (Vincenzo Romano , Lucilla Alfonsi and Luca Spogli) for their kind availability and thanks to Stefano Poli for the training against polar bears. Last but definitely not least, thanks to my love, Denise, for her patience and support during these three years, thank you for being the perfect partner in such a crazy journey. Thank you for your limitless understanding and for being always by my side during the nights, weekends and summer holidays spent working hard on my research. 

%\begin{itemize}
%\item Fabio guida e supporto
%\item NavSAS LINKS team professionalità e competenza
%\item Dottorandi e tesisti
%\item I miei amici e chi mi ha sempre sostenuto dalla ridente perosa argentina
%\item I colleghi che mi hanno accompagnato (Daniele, Maurizio, Demetrio, Samuele)
%\item La mia famiglia
%\item Denise
%\item Grazie al TEDx politecnico  Branch per avermi concesso l'onore di partecipare in qualità di speaker con il talk "Reinventare le stelle per ritrovare la strada" e al IEEE Polito (Vincenzo e Umberto) per la possibilità di esporre la mia ricerca nel pitch "Squeezing up the last drop of information from GNSS"
%\end{itemize}

%Dedico questo lavoro anche a tutte le persone che amo,
%agli amici di sempre e a color che hanno incrociato la mia strada, a mia Mamma Nicoletta, a tutta la mia famiglia e a colei che più mi ha sostenuto in questi anni, all'amore della mia vita, Denise.

\begin{dedication}

\textit{Dedicato a Claudio} 

{\normalsize 
alla persona che, più di chiunque altro, mi ha insegnato a
ricercare tra le proprie passioni una soluzione per risolvere i problemi. 
\par}
\end{dedication}



%%%%%%%%% Unless you want these two lists, comment the following line
\tablespagetrue\figurespagetrue % 

%%%%%%%%% Table of contents and optionally the tables and figures lists
\allcontents

\mainmatter %all the above is front matter; here begins the main matter



\include{Chapter0/chapter0} % Intro+Summary
\include{Chapter1/chapter1}
\include{Chapter2/chapter2}
\include{Chapter3/chapter3}
\include{Chapter4/chapter4}
\include{Chapter5/chapter5}
%%\include{Chapter6/chapter6}
\include{Chapter7/chapter7}
\include{Chapter8/chapter8}
%%\include{Chapter9/chapter9}
\include{Chapter10/chapter10}
% Numbered appendices remain in the main matter...
\appendix

\include{Appendix2/appendix2}
\include{Appendix1/appendix1}
\include{Appendix4/appendix4}
\include{Appendix5/appendix5}

\input{./acronyms.txt}

\backmatter% here begins the back matter
% ... otherwise a single appendix may stay here
% \include{Appendix0/appendix0}

% Do not use this command if you did not prepare a nomenclature
% database by means od the suitable \nomenclature command and its
% arguments, as we did in chapter 2 of this example thesis.
\printnomencl

% In this example we use \nocite{*} in order to typeset the whole
% contents of the bibliographic database. Normally this is not
% necessary and it's better to let biber extract from the database
% only the cited works
% \nocite{*}

%\printbibliography[heading=bibintoc]
\printbibliography[heading=bibnumbered,resetnumbers=true]

% Do not use this command if you did not set the \makeindex switch
% in the preamble.

\printindex

\end{document}

